Get Settings
curl --request GET \
--url https://api.usecobalt.com/v1/settings \
--header 'access_token: <api-key>' \
--header 'client_id: <api-key>' \
--header 'client_secret: <api-key>'import requests
url = "https://api.usecobalt.com/v1/settings"
headers = {
"client_id": "<api-key>",
"client_secret": "<api-key>",
"access_token": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {client_id: '<api-key>', client_secret: '<api-key>', access_token: '<api-key>'}
};
fetch('https://api.usecobalt.com/v1/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"access_token_reference_id": "<string>",
"visit_types": [
"<string>"
],
"timezone": "<string>",
"departments": [
{
"ehr_id": "<string>",
"name": "<string>",
"type": "<string>",
"location_ehr_id": "<string>"
}
]
}
}{
"success": false,
"message": "Settings not found for this user"
}Settings
Get Settings
Returns the current settings for the associated access token.
GET
/
settings
Get Settings
Example Request
curl -X GET https://api.usecobalt.com/v1/settings \
-H 'Content-Type: application/json' \
-H 'client_id: ci_live_198908HJDKJSH98789OHKJL' \
-H 'client_secret: cs_live_9827hofdsklOYYHJLJh' \
-H 'access_token: 493JKLHIU98789hLKH9HHJH'
Example Response
{
"success": true,
"data": {
"access_token_reference_id": "at_ref_123456789",
"visit_types": [
{
"code": "new_patient",
"description": "New Patient Visit (in-person)"
},
{
"code": "televisit1",
"description": "televisit1 (televisit / osa)"
}
],
"visit_statuses": [
{
"code": "CANC",
"description": "Cancelled in advance"
},
{
"code": "R/S",
"description": "Rescheduled"
}
],
"required_patient_fields": [
"first_name",
"last_name",
"dob",
"sex"
],
"timezone": "America/New_York",
"departments": [
{
"ehr_id": "1",
"name": "MEDICAL",
"type": "MED",
"location_ehr_id": "12"
},
{
"ehr_id": "2",
"name": "BEHAVIORAL HEALTH",
"type": "MED",
"location_ehr_id": "12"
},
{
"ehr_id": "5",
"name": "RADIOLOGY",
"type": "MED",
"location_ehr_id": "17"
}
]
}
}
Settings include the access token reference ID, available visit types (with codes and descriptions), and the user’s timezone. If settings are not found for the user, a 404 error will be returned.
⌘I